import sys

arg = sys.argv

global fh


fnameInput = arg[1]  # 'YAG4_to_YAG13.txt'
fnameOuput = arg[2]  # 'testMagnet.bob

fh = open(fnameOuput, "w")


def BobHeader(title, height):
    fh.write('<?xml version="1.0" encoding="UTF-8"?> \n')
    fh.write('<display version="2.0.0">\n')
    fh.write("  <name>MagPanel </name>\n")
    fh.write('  <widget type="label" version="2.0.0">\n')
    fh.write("    <name>Label</name>\n")
    fh.write("    <text>" + str(title) + "</text>\n")
    fh.write("    <x>1</x>\n")
    fh.write("    <width>250</width>\n")
    fh.write("    <height>30</height>\n")
    fh.write("    <font>\n")
    fh.write(
        '      <font name="Header 1" family="Liberation Sans" style="BOLD" size="22.0">\n'
    )
    fh.write("      </font>\n")
    fh.write("    </font>\n")
    fh.write("  </widget>\n")
    fh.write('  <widget type="label" version="2.0.0">\n')
    fh.write("    <name>Label_1</name>\n")
    fh.write("    <text>generated w/ PanelBuilder2</text>\n")
    fh.write("    <text>" + fnameInput + "</text>\n")
    fh.write("    <x>1</x>\n")
    fh.write("    <y>30</y>\n")
    fh.write("    <width>250</width>\n")
    fh.write("  </widget>)\n")


def BobEOF():
    fh.write("</display>\n")


BobHeader("BeamLinePanel", 00)

i = 0
vstep = 30


with open(fnameInput) as fr:
    lines = fr.readlines()

for line in lines:
    print(line.split("\n")[0].split(" "))
    # issue on window about \r
    L = line.split("\r")[0].split(" ")  # need fixing
    L = line.split("\n")[0].split(" ")
    print("L....", L)
    magnet = L[0]
    magnetlistRB = L[1]
    magnetlistCtrl = L[2]
    if magnetlistCtrl == "comment":
        print("comment", magnet)
        fh.write('   <widget type="label" version="2.0.0">\n')
        fh.write("       <name>Label_2" + str(i) + "</name>\n")
        fh.write("       <text> " + str(magnet) + " </text>\n")
        fh.write("       <x>7</x>\n")
        fh.write("       <y>" + str(121 + i * vstep) + "</y>\n")
        fh.write("       <width>200</width>\n")
        fh.write("     </widget>\n")
    else:
        print(magnet, i)
        fh.write('   <widget type="label" version="2.0.0">\n')
        fh.write("       <name>Label_2" + str(i) + "</name>\n")
        fh.write("       <text> " + magnet + " </text>\n")
        fh.write("       <x>7</x>\n")
        fh.write("       <y>" + str(121 + i * vstep) + "</y>\n")
        fh.write("       <width>150</width>\n")
        fh.write("     </widget>\n")
        fh.write('     <widget type="textupdate" version="2.0.0">\n')
        fh.write("       <name>TextUpdade_1" + str(i) + "</name>\n")
        fh.write("       <pv_name>pva://" + magnetlistRB + "</pv_name>\n")
        fh.write("       <precision>3</precision>")
        fh.write("       <x>150</x>\n")
        fh.write("       <y>" + str(121 + i * vstep) + "</y>\n")
        fh.write("     </widget>\n")
        fh.write('     <widget type="spinner" version="2.0.0">\n')
        fh.write("       <name>....</name>\n")
        fh.write("       <pv_name>pva://" + magnetlistCtrl + "</pv_name>\n")
        fh.write("       <precision>3</precision>")
        fh.write("       <x>223</x>\n")
        fh.write("       <y>" + str(121 + i * vstep) + "</y>\n")
        fh.write("       <width>131</width>\n")
        fh.write("       <increment>.01</increment>\n")
        fh.write("     </widget>\n")
        fh.write('     <widget type="label" version="2.0.0">\n')
        fh.write("       <name>Label_4" + str(i) + "</name>\n")
        fh.write("       <text> ... </text>\n")
        fh.write("       <x>141</x>\n")
        fh.write("       <y>89</y>\n")
        fh.write("       <horizontal_alignment>1</horizontal_alignment>\n")
        fh.write("     </widget>\n")
    i = i + 1
BobEOF()

fh.close()
