# -*- coding: utf-8 -*-
"""
Created on Wed Nov  3 09:55:51 2021

@author: awa
"""

import time

import numpy as np
from epics import caget, caget_many, caput

delaystagepos = "WitDelay:pi:pos00"
delaystagemove = "WitDelay:pi:rel00"
halfwaveplatepos = "HDR50:pi:pos12"
halfwaveplatemove = "HDR50:pi:rel12"
default_step = 1250


def movecloser(num, step, pause=1):
    step_to_move = -1 * np.abs(step)
    for i in range(num):
        caput(delaystagemove, step_to_move)
        time.sleep(pause)
        print("delay stage at: %d" % (caget(delaystagepos)))


def movefurther(num, step, pause=1):
    step_to_move = np.abs(step)
    for i in range(num):
        caput(delaystagemove, step_to_move)
        time.sleep(pause)
        print("delay stage at: %d" % (caget(delaystagepos)))


def clockwise_halfwaveplate(num, step, pause=2):
    step_to_move = np.abs(step)
    for i in range(num):
        caput(halfwaveplatemove, step_to_move)
        time.sleep(pause)
        print("halfwaveplate at: %d" % (caget(halfwaveplatepos)))


def anticlockwise_halfwaveplate(num, step, pause=2):
    step_to_move = -1 * np.abs(step)
    for i in range(num):
        caput(halfwaveplatemove, step_to_move)
        time.sleep(pause)
        print("halfwaveplate at: %d" % (caget(halfwaveplatepos)))
