import socket
import sys

sys.path.insert(0, "F:\\2022\\pyctrl-awa\\base\\")

import time
from pathlib import Path

import h5py
import numpy as np
from epics import caget, caput
from interface import AWAInterface


# channel = 'Drive:RB:DS1'
# channel = 'AWA:Bira3Ctrl:Ch00' # first quadrupole
# channel = 'AWA:Bira3Ctrl:Ch02' # center INP Nquad after RFBT
# channel = 'AWA:Bira3Ctrl:Ch07' # center INP Nquad after RFBT
# channel = 'AWA:Bira3Ctrl:Ch08'
# channel = 'AWA:Bira3Ctrl:Ch14' # center of peach quad
# channel = 'AWA:Bira3Ctrl:Ch05' #
# channel = 'AWA:Bira4Ctrl:Ch04'
# channel = 'AWA:Bira3Ctrl:Ch12' # blue IMP quad
channel = "AWA:Bira4Ctrl:Ch09"  # Radiabeam b4 THz
# channel = 'AWA:Bira4Ctrl:Ch11' # Triplet before TDC
# channel = 'AWA:Bira4Ctrl:Ch14' # Triplet before TDC


nominal = 0.0
mini = -1.0 + nominal
maxi = 1.0 + nominal
numpt = 5
oldval = caget(channel)

print(oldval)
settings = np.linspace(mini, maxi, numpt)
while True:
    for i in range(len(settings)):
        mycounts = (settings[i],)
        print("current value:", mycounts[0])
        caput(channel, mycounts[0])
        time.sleep(1)
