import sys

sys.path.insert(0, "F:\\2022\\pyctrl-awa\\base\\")

import time

import matplotlib.pyplot as plt
import numpy as np
from epics import caget, caput
from interface import AWAInterface

Num = 240

x = np.zeros(Num)

for i in range(Num):
    caput("AWATrigCtrl:GetCh8.PROC", 1)
    while caget("AWATrigCtrl:GetCh8") > 0:
        caput("AWATrigCtrl:GetCh8.PROC", 1)
    wf2 = caget("AWAVXI11ICT:rawwf2")
    caput("AWATrigCtrl:SetCh8", 1)
    print(i)
    x[i] = np.mean(wf2)
